More precise volume control in winamp classic theme
August 04, 2013 15:30 - Marcin Kocur

Status: Closed Start date: August 04, 2013
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/skins Estimated time: 0.00 hour
Target version: 4.0

Affects version: 3.4

Description

I noticed that while scrolling on audacious's volume icon in GTK interface, the volume gain is graduated every 1%, while in
winamp-like interface and on the tray icon, every 2%. | guess this has something to do with winamp's original behavior but it would be
just better if audacious had more precise volume control in winamp theme as well (or at least some optional setting for it).

Personally I'm using middle-end headphones with powerful soundcard which are very loud, and audacious's volume control just
doesn't work well for me in winamp's theme.

History

#1 - August 04, 2013 22:21 - John Lindgren

If I understand you correctly, you're saying that most of the range between 0% and 100% is uncomfortably loud with your headphones, so you want
finer granularity at the lower end of the range. Is that right?

#2 - August 05, 2013 09:39 - Marcin Kocur

Well, not exactly. Anyway, | made a mistake: in Winamp style the volume changes every 5% both while scrolling in main window and over tray icon. In
GTK style the pace while scrolling is 1% in main window and 5% over tray icon. There is also a shortcut in global hotkeys plugin which steps every
4%.

In my opinion, 1% step is great for the whole scale and everywhere (keystroke, scrolling over slider and tray icon), because it's precise and
consistent. If one wants to make louder or quiet a bit more, then it is possible to scroll a bit more, hold the keystroke binding longer, or use the slider.

Of course you may/may not implement it in whatever way you want. Usually | don't go over 25% of scale but | think that making the scale more
sensitive at the lower volumes and less sensitive at higher volumes is not the correct way.

#3 - August 06, 2013 01:18 - John Lindgren
- Affects version 3.4 added
- Affects version deleted (3.4.1)

It might be worth making a configurable setting for this. | don't think 1% is a good increment for everyone. For example, | do use most of the range
on my laptop since | plug headphones and speakers into the same jack, and | wouldn't want to scroll through 80 clicks or wait for 80 keyboard repeats
to get from 20% to 100%.

#4 - October 06, 2013 01:32 - John Lindgren
- Category changed from libaudgui to plugins/skins

#5 - October 17, 2018 03:09 - John Lindgren
- % Done changed from 0 to 100
- Target version set to 4.0

- Status changed from New to Closed

We now (finally) have a global, adjustable volume step size setting:

https://github.com/audacious-media-player/audacious/commit/0f8905121af453ce7ad301e67d149a9d427620b6
https://github.com/audacious-media-player/audacious-plugins/commit/94f9ed00dceaf59a984c29¢c1376566bb6cf14191
